/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class KotaKabupatenDto {
    
    @NotNull(message = "kotakabupaten.namakotakabupaten.notnull")
    private String namaKotaKabupaten;
    
    @NotNull(message = "kotakabupaten.reportdisplay.notnull")
    private String reportDisplay;
    
    @NotNull(message = "kotakabupaten.kdpropinsi.notnull")
    private Integer kdPropinsi;
    
    private String kodeExternal;
    
    private String namaExternal;
    
    @NotNull(message = "kotakabupaten.statusenabled.notnull")
    private Boolean statusEnabled;
    

}
